#include "partition.h"
#include <bits/stdc++.h>
using namespace std;

vector<int> solve(vector<int> a)
{
    vector<int> ans(a.size(), 0);
    for(int i=0; i<(a.size()-1)/2; i++)
    {
        ans[i]=i;
    }
    ans[(a.size()-1)/2]=a.size()-1;
    for(int i=(a.size()-1)/2+1; i<a.size(); i++)
    {
        ans[i]=i-1;
    }
    return ans;
}